diff options
author | ache <ache@FreeBSD.org> | 2001-10-30 04:04:00 +0800 |
---|---|---|
committer | ache <ache@FreeBSD.org> | 2001-10-30 04:04:00 +0800 |
commit | ae4ed2abc1b160164ed818a41507b314657189f4 (patch) | |
tree | 8b9f2867eb04aa97cda8cb4cb1fc5e407e2afc31 /www/apache20/pkg-install | |
parent | 0cdef081efd26d22e7cc63b7eb94a1da0b17d328 (diff) | |
download | freebsd-ports-gnome-ae4ed2abc1b160164ed818a41507b314657189f4.tar.gz freebsd-ports-gnome-ae4ed2abc1b160164ed818a41507b314657189f4.tar.zst freebsd-ports-gnome-ae4ed2abc1b160164ed818a41507b314657189f4.zip |
First part to fix missing x-bit on pkg*install
Diffstat (limited to 'www/apache20/pkg-install')
-rw-r--r-- | www/apache20/pkg-install | 34 |
1 files changed, 0 insertions, 34 deletions
diff --git a/www/apache20/pkg-install b/www/apache20/pkg-install deleted file mode 100644 index cbeae9665004..000000000000 --- a/www/apache20/pkg-install +++ /dev/null @@ -1,34 +0,0 @@ -#!/bin/sh -# $FreeBSD$ -# - -if [ "$2" != "PRE-INSTALL" ]; then - exit 0 -fi - -USER=www -GROUP=${USER} -UID=80 -GID=${UID} - -if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then - if pw groupadd ${GROUP} -g ${GID}; then - echo "Added group \"${GROUP}\"." - else - echo "Adding group \"${GROUP}\" failed..." - exit 1 - fi -fi - -if ! pw usershow "${USER}" 2>/dev/null 1>&2; then - if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ - -s "/sbin/nologin" -d "/nonexistent" \ - -c "World Wide Web Owner"; \ - then - echo "Added user \"${USER}\"." - else - echo "Adding user \"${USER}\" failed..." - exit 1 - fi -fi -exit 0 |